"Your device isn't compatible with this version"

I have a Samsung Galaxy S7 and for about a week or so the game has been crashing when I've tried to open it. I've persevered and have sometimes been able to get through the crashes but its getting worse. Today I've tried at least 20 times and have only been able to get to the map for 2seconds before it freezes and then closes  I checked to see if there was an update that would fix it but when I find the game on the app store it just said "Your device isn't compatible with this version"

Is this intentional going forward, is there no more updates for a phone that is not even 2 years old yet ? Or will this be fixed in an upcoming update ?

My phone is currently up to date for the latest S7 update
Sign In or Register to comment.